# class KWizard | General-purpose multi-page dialog. More...
Definition | `#include <kwizard.h>`
Inherits | QWizard (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KWizard (QWidget *parent = 0, const char *name = 0, bool modal = false, WFlags f = 0)
- ~KWizard ()

## Detailed Description

General-purpose multi-page dialog.

KWizard is a class for a multi-page dialog. The user can navigate trough the pages with "Next" and "Back" buttons and is optionally offered "Finish", "Cancel" and "Help" buttons. A wizard comes in handy for tutorials or configuration dialogs with sequential steps.

KWizard is just a wrapper for Qt's QWizard class. See the QWizard documentation for a detailed description of available functions. The only added functionality is a KDE conformant translation mechanism for the built-in buttons.

KWizard (QWidget *parent = 0, const char *name = 0, bool modal = false, WFlags f = 0) | ### KWizard

Constructor

~KWizard () | ### ~KWizard

Destructor

- Version: 0.3
- Author: Harri Porten <porten@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.